	.file	"syscalls-2007.c"
	.section	.debug_abbrev,"",@progbits
.Ldebug_abbrev0:
	.section	.debug_info,"",@progbits
.Ldebug_info0:
	.section	.debug_line,"",@progbits
.Ldebug_line0:
	.text
.Ltext0:
	.cfi_sections	.debug_frame
	.section	.rodata
.LC0:
	.string	"/tmp/valgrind-utimensat-test"
	.text
.globl main
	.type	main, @function
main:
.LFB0:
	.file 1 "syscalls-2007.c"
	.loc 1 33 0
	.cfi_startproc
	pushl	%ebp
	.cfi_def_cfa_offset 8
	.cfi_offset 5, -8
	movl	%esp, %ebp
	.cfi_def_cfa_register 5
	andl	$-16, %esp
	subl	$352, %esp
.LBB2:
	.loc 1 40 0
	movl	$1, 320(%esp)
	movl	$0, 324(%esp)
	.loc 1 43 0
	leal	40(%esp), %eax
	movl	%eax, (%esp)
	call	sigemptyset
	.loc 1 44 0
	movl	$10, 4(%esp)
	leal	40(%esp), %eax
	movl	%eax, (%esp)
	call	sigaddset
	.loc 1 45 0
	movl	$0, 8(%esp)
	leal	40(%esp), %eax
	movl	%eax, 4(%esp)
	movl	$-1, (%esp)
	call	signalfd
	movl	%eax, 340(%esp)
	.loc 1 46 0
	movl	$12, 4(%esp)
	leal	40(%esp), %eax
	movl	%eax, (%esp)
	call	sigaddset
	.loc 1 47 0
	movl	$0, 8(%esp)
	leal	40(%esp), %eax
	movl	%eax, 4(%esp)
	movl	340(%esp), %eax
	movl	%eax, (%esp)
	call	signalfd
	movl	%eax, 340(%esp)
	.loc 1 48 0
	movl	$0, 4(%esp)
	movl	$5, (%esp)
	call	eventfd
	movl	%eax, 344(%esp)
	.loc 1 49 0
	leal	328(%esp), %eax
	movl	%eax, 4(%esp)
	movl	344(%esp), %eax
	movl	%eax, (%esp)
	call	eventfd_read
	.loc 1 50 0
	movl	340(%esp), %eax
	movl	%eax, 304(%esp)
	.loc 1 51 0
	movw	$5, 308(%esp)
	.loc 1 52 0
	movl	344(%esp), %eax
	movl	%eax, 312(%esp)
	.loc 1 53 0
	movw	$5, 316(%esp)
	.loc 1 54 0
	leal	40(%esp), %eax
	movl	%eax, 12(%esp)
	leal	320(%esp), %eax
	movl	%eax, 8(%esp)
	movl	$2, 4(%esp)
	leal	304(%esp), %eax
	movl	%eax, (%esp)
	call	ppoll
.LBE2:
	.loc 1 59 0
	movl	$.LC0, (%esp)
	call	unlink
	.loc 1 60 0
	movl	$384, 4(%esp)
	movl	$.LC0, (%esp)
	call	creat
	movl	%eax, (%esp)
	call	close
.LBB3:
	.loc 1 62 0
	movl	$0, 288(%esp)
	movl	$0, 292(%esp)
	movl	$0, 296(%esp)
	movl	$0, 300(%esp)
	movl	$10000000, 288(%esp)
	movl	$20000000, 296(%esp)
	.loc 1 63 0
	movl	$0, 12(%esp)
	leal	288(%esp), %eax
	movl	%eax, 8(%esp)
	movl	$.LC0, 4(%esp)
	movl	$-100, (%esp)
	call	utimensat
.LBE3:
	.loc 1 65 0
	movl	$.LC0, (%esp)
	call	unlink
.LBB4:
	.loc 1 74 0
	leal	40(%esp), %eax
	movl	%eax, (%esp)
	call	sigemptyset
	.loc 1 75 0
	movl	$10, 4(%esp)
	leal	40(%esp), %eax
	movl	%eax, (%esp)
	call	sigaddset
	.loc 1 76 0
	movl	$12, 4(%esp)
	leal	40(%esp), %eax
	movl	%eax, (%esp)
	call	sigaddset
	.loc 1 77 0
	movl	$10, (%esp)
	call	epoll_create
	movl	%eax, 348(%esp)
	.loc 1 78 0
	leal	40(%esp), %eax
	movl	%eax, 16(%esp)
	movl	$0, 12(%esp)
	movl	$10, 8(%esp)
	leal	168(%esp), %eax
	movl	%eax, 4(%esp)
	movl	348(%esp), %eax
	movl	%eax, (%esp)
	call	epoll_pwait
.LBE4:
	.loc 1 82 0
	movl	$0, %eax
	.loc 1 83 0
	leave
	.cfi_restore 5
	.cfi_def_cfa 4, 4
	ret
	.cfi_endproc
.LFE0:
	.size	main, .-main
.Letext0:
	.file 2 "/usr/include/bits/types.h"
	.file 3 "/usr/include/bits/sigset.h"
	.file 4 "/usr/include/sys/select.h"
	.file 5 "/usr/include/time.h"
	.file 6 "/usr/include/stdint.h"
	.file 7 "/usr/include/sys/epoll.h"
	.file 8 "/usr/include/sys/eventfd.h"
	.file 9 "/usr/include/sys/poll.h"
	.section	.debug_info
	.long	0x294
	.value	0x3
	.long	.Ldebug_abbrev0
	.byte	0x4
	.uleb128 0x1
	.long	.LASF27
	.byte	0x1
	.long	.LASF28
	.long	.LASF29
	.long	.Ltext0
	.long	.Letext0
	.long	.Ldebug_line0
	.uleb128 0x2
	.byte	0x1
	.byte	0x8
	.long	.LASF0
	.uleb128 0x2
	.byte	0x2
	.byte	0x7
	.long	.LASF1
	.uleb128 0x2
	.byte	0x4
	.byte	0x7
	.long	.LASF2
	.uleb128 0x2
	.byte	0x4
	.byte	0x7
	.long	.LASF3
	.uleb128 0x2
	.byte	0x1
	.byte	0x6
	.long	.LASF4
	.uleb128 0x2
	.byte	0x2
	.byte	0x5
	.long	.LASF5
	.uleb128 0x3
	.byte	0x4
	.byte	0x5
	.string	"int"
	.uleb128 0x2
	.byte	0x8
	.byte	0x5
	.long	.LASF6
	.uleb128 0x2
	.byte	0x8
	.byte	0x7
	.long	.LASF7
	.uleb128 0x2
	.byte	0x4
	.byte	0x5
	.long	.LASF8
	.uleb128 0x4
	.long	.LASF10
	.byte	0x2
	.byte	0x95
	.long	0x64
	.uleb128 0x5
	.byte	0x4
	.uleb128 0x2
	.byte	0x1
	.byte	0x6
	.long	.LASF9
	.uleb128 0x6
	.byte	0x80
	.byte	0x3
	.byte	0x1e
	.long	0x94
	.uleb128 0x7
	.long	.LASF13
	.byte	0x3
	.byte	0x1f
	.long	0x94
	.sleb128 0
	.byte	0x0
	.uleb128 0x8
	.long	0x3a
	.long	0xa4
	.uleb128 0x9
	.long	0x33
	.byte	0x1f
	.byte	0x0
	.uleb128 0x4
	.long	.LASF11
	.byte	0x3
	.byte	0x20
	.long	0x7f
	.uleb128 0x4
	.long	.LASF12
	.byte	0x4
	.byte	0x26
	.long	0xa4
	.uleb128 0xa
	.long	.LASF19
	.byte	0x8
	.byte	0x5
	.byte	0x79
	.long	0xdf
	.uleb128 0x7
	.long	.LASF14
	.byte	0x5
	.byte	0x7a
	.long	0x6b
	.sleb128 0
	.uleb128 0x7
	.long	.LASF15
	.byte	0x5
	.byte	0x7b
	.long	0x64
	.sleb128 4
	.byte	0x0
	.uleb128 0x4
	.long	.LASF16
	.byte	0x6
	.byte	0x34
	.long	0x33
	.uleb128 0x4
	.long	.LASF17
	.byte	0x6
	.byte	0x3b
	.long	0x5d
	.uleb128 0xb
	.long	.LASF30
	.byte	0x8
	.byte	0x7
	.byte	0x52
	.long	0x12d
	.uleb128 0xc
	.string	"ptr"
	.byte	0x7
	.byte	0x53
	.long	0x76
	.uleb128 0xc
	.string	"fd"
	.byte	0x7
	.byte	0x54
	.long	0x4f
	.uleb128 0xc
	.string	"u32"
	.byte	0x7
	.byte	0x55
	.long	0xdf
	.uleb128 0xc
	.string	"u64"
	.byte	0x7
	.byte	0x56
	.long	0xea
	.byte	0x0
	.uleb128 0x4
	.long	.LASF18
	.byte	0x7
	.byte	0x57
	.long	0xf5
	.uleb128 0xa
	.long	.LASF20
	.byte	0xc
	.byte	0x7
	.byte	0x5a
	.long	0x15d
	.uleb128 0x7
	.long	.LASF21
	.byte	0x7
	.byte	0x5b
	.long	0xdf
	.sleb128 0
	.uleb128 0x7
	.long	.LASF22
	.byte	0x7
	.byte	0x5c
	.long	0x12d
	.sleb128 4
	.byte	0x0
	.uleb128 0x4
	.long	.LASF23
	.byte	0x8
	.byte	0x1a
	.long	0xea
	.uleb128 0xa
	.long	.LASF24
	.byte	0x8
	.byte	0x9
	.byte	0x29
	.long	0x198
	.uleb128 0xd
	.string	"fd"
	.byte	0x9
	.byte	0x2a
	.long	0x4f
	.sleb128 0
	.uleb128 0x7
	.long	.LASF21
	.byte	0x9
	.byte	0x2b
	.long	0x48
	.sleb128 4
	.uleb128 0x7
	.long	.LASF25
	.byte	0x9
	.byte	0x2c
	.long	0x48
	.sleb128 6
	.byte	0x0
	.uleb128 0xe
	.byte	0x1
	.long	.LASF31
	.byte	0x1
	.byte	0x20
	.byte	0x1
	.long	0x4f
	.long	.LFB0
	.long	.LFE0
	.byte	0x1
	.byte	0x9c
	.long	0x26b
	.uleb128 0xf
	.long	.LBB2
	.long	.LBE2
	.long	0x217
	.uleb128 0x10
	.long	.LASF26
	.byte	0x1
	.byte	0x25
	.long	0xaf
	.byte	0x2
	.byte	0x74
	.sleb128 40
	.uleb128 0x11
	.string	"fd"
	.byte	0x1
	.byte	0x26
	.long	0x4f
	.byte	0x3
	.byte	0x74
	.sleb128 340
	.uleb128 0x11
	.string	"fd2"
	.byte	0x1
	.byte	0x26
	.long	0x4f
	.byte	0x3
	.byte	0x74
	.sleb128 344
	.uleb128 0x11
	.string	"ev"
	.byte	0x1
	.byte	0x27
	.long	0x15d
	.byte	0x3
	.byte	0x74
	.sleb128 328
	.uleb128 0x11
	.string	"ts"
	.byte	0x1
	.byte	0x28
	.long	0xba
	.byte	0x3
	.byte	0x74
	.sleb128 320
	.uleb128 0x11
	.string	"pfd"
	.byte	0x1
	.byte	0x29
	.long	0x26b
	.byte	0x3
	.byte	0x74
	.sleb128 304
	.byte	0x0
	.uleb128 0xf
	.long	.LBB3
	.long	.LBE3
	.long	0x234
	.uleb128 0x11
	.string	"ts2"
	.byte	0x1
	.byte	0x3e
	.long	0x27b
	.byte	0x3
	.byte	0x74
	.sleb128 288
	.byte	0x0
	.uleb128 0x12
	.long	.LBB4
	.long	.LBE4
	.uleb128 0x11
	.string	"fd3"
	.byte	0x1
	.byte	0x46
	.long	0x4f
	.byte	0x3
	.byte	0x74
	.sleb128 348
	.uleb128 0x11
	.string	"evs"
	.byte	0x1
	.byte	0x47
	.long	0x28b
	.byte	0x3
	.byte	0x74
	.sleb128 168
	.uleb128 0x10
	.long	.LASF26
	.byte	0x1
	.byte	0x48
	.long	0xaf
	.byte	0x2
	.byte	0x74
	.sleb128 40
	.byte	0x0
	.byte	0x0
	.uleb128 0x8
	.long	0x168
	.long	0x27b
	.uleb128 0x9
	.long	0x33
	.byte	0x1
	.byte	0x0
	.uleb128 0x8
	.long	0xba
	.long	0x28b
	.uleb128 0x9
	.long	0x33
	.byte	0x1
	.byte	0x0
	.uleb128 0x13
	.long	0x138
	.uleb128 0x9
	.long	0x33
	.byte	0x9
	.byte	0x0
	.byte	0x0
	.section	.debug_abbrev
	.uleb128 0x1
	.uleb128 0x11
	.byte	0x1
	.uleb128 0x25
	.uleb128 0xe
	.uleb128 0x13
	.uleb128 0xb
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x1b
	.uleb128 0xe
	.uleb128 0x11
	.uleb128 0x1
	.uleb128 0x12
	.uleb128 0x1
	.uleb128 0x10
	.uleb128 0x6
	.byte	0x0
	.byte	0x0
	.uleb128 0x2
	.uleb128 0x24
	.byte	0x0
	.uleb128 0xb
	.uleb128 0xb
	.uleb128 0x3e
	.uleb128 0xb
	.uleb128 0x3
	.uleb128 0xe
	.byte	0x0
	.byte	0x0
	.uleb128 0x3
	.uleb128 0x24
	.byte	0x0
	.uleb128 0xb
	.uleb128 0xb
	.uleb128 0x3e
	.uleb128 0xb
	.uleb128 0x3
	.uleb128 0x8
	.byte	0x0
	.byte	0x0
	.uleb128 0x4
	.uleb128 0x16
	.byte	0x0
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.byte	0x0
	.byte	0x0
	.uleb128 0x5
	.uleb128 0xf
	.byte	0x0
	.uleb128 0xb
	.uleb128 0xb
	.byte	0x0
	.byte	0x0
	.uleb128 0x6
	.uleb128 0x13
	.byte	0x1
	.uleb128 0xb
	.uleb128 0xb
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x1
	.uleb128 0x13
	.byte	0x0
	.byte	0x0
	.uleb128 0x7
	.uleb128 0xd
	.byte	0x0
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x38
	.uleb128 0xd
	.byte	0x0
	.byte	0x0
	.uleb128 0x8
	.uleb128 0x1
	.byte	0x1
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x1
	.uleb128 0x13
	.byte	0x0
	.byte	0x0
	.uleb128 0x9
	.uleb128 0x21
	.byte	0x0
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x2f
	.uleb128 0xb
	.byte	0x0
	.byte	0x0
	.uleb128 0xa
	.uleb128 0x13
	.byte	0x1
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0xb
	.uleb128 0xb
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x1
	.uleb128 0x13
	.byte	0x0
	.byte	0x0
	.uleb128 0xb
	.uleb128 0x17
	.byte	0x1
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0xb
	.uleb128 0xb
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x1
	.uleb128 0x13
	.byte	0x0
	.byte	0x0
	.uleb128 0xc
	.uleb128 0xd
	.byte	0x0
	.uleb128 0x3
	.uleb128 0x8
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.byte	0x0
	.byte	0x0
	.uleb128 0xd
	.uleb128 0xd
	.byte	0x0
	.uleb128 0x3
	.uleb128 0x8
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x38
	.uleb128 0xd
	.byte	0x0
	.byte	0x0
	.uleb128 0xe
	.uleb128 0x2e
	.byte	0x1
	.uleb128 0x3f
	.uleb128 0xc
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x27
	.uleb128 0xc
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x11
	.uleb128 0x1
	.uleb128 0x12
	.uleb128 0x1
	.uleb128 0x40
	.uleb128 0xa
	.uleb128 0x1
	.uleb128 0x13
	.byte	0x0
	.byte	0x0
	.uleb128 0xf
	.uleb128 0xb
	.byte	0x1
	.uleb128 0x11
	.uleb128 0x1
	.uleb128 0x12
	.uleb128 0x1
	.uleb128 0x1
	.uleb128 0x13
	.byte	0x0
	.byte	0x0
	.uleb128 0x10
	.uleb128 0x34
	.byte	0x0
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x2
	.uleb128 0xa
	.byte	0x0
	.byte	0x0
	.uleb128 0x11
	.uleb128 0x34
	.byte	0x0
	.uleb128 0x3
	.uleb128 0x8
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x2
	.uleb128 0xa
	.byte	0x0
	.byte	0x0
	.uleb128 0x12
	.uleb128 0xb
	.byte	0x1
	.uleb128 0x11
	.uleb128 0x1
	.uleb128 0x12
	.uleb128 0x1
	.byte	0x0
	.byte	0x0
	.uleb128 0x13
	.uleb128 0x1
	.byte	0x1
	.uleb128 0x49
	.uleb128 0x13
	.byte	0x0
	.byte	0x0
	.byte	0x0
	.section	.debug_pubnames,"",@progbits
	.long	0x17
	.value	0x2
	.long	.Ldebug_info0
	.long	0x298
	.long	0x198
	.string	"main"
	.long	0x0
	.section	.debug_pubtypes,"",@progbits
	.long	0xa7
	.value	0x2
	.long	.Ldebug_info0
	.long	0x298
	.long	0x6b
	.string	"__time_t"
	.long	0xa4
	.string	"__sigset_t"
	.long	0xaf
	.string	"sigset_t"
	.long	0xba
	.string	"timespec"
	.long	0xdf
	.string	"uint32_t"
	.long	0xea
	.string	"uint64_t"
	.long	0xf5
	.string	"epoll_data"
	.long	0x12d
	.string	"epoll_data_t"
	.long	0x138
	.string	"epoll_event"
	.long	0x15d
	.string	"eventfd_t"
	.long	0x168
	.string	"pollfd"
	.long	0x0
	.section	.debug_aranges,"",@progbits
	.long	0x1c
	.value	0x2
	.long	.Ldebug_info0
	.byte	0x4
	.byte	0x0
	.value	0x0
	.value	0x0
	.long	.Ltext0
	.long	.Letext0-.Ltext0
	.long	0x0
	.long	0x0
	.section	.debug_str,"MS",@progbits,1
.LASF26:
	.string	"mask"
.LASF8:
	.string	"long int"
.LASF15:
	.string	"tv_nsec"
.LASF13:
	.string	"__val"
.LASF17:
	.string	"uint64_t"
.LASF29:
	.string	"/root/genprog-many-bugs/valgrind-bug-12474-12475/valgrind/memcheck/tests/linux"
.LASF19:
	.string	"timespec"
.LASF22:
	.string	"data"
.LASF7:
	.string	"long long unsigned int"
.LASF0:
	.string	"unsigned char"
.LASF14:
	.string	"tv_sec"
.LASF3:
	.string	"long unsigned int"
.LASF12:
	.string	"sigset_t"
.LASF16:
	.string	"uint32_t"
.LASF20:
	.string	"epoll_event"
.LASF10:
	.string	"__time_t"
.LASF18:
	.string	"epoll_data_t"
.LASF21:
	.string	"events"
.LASF31:
	.string	"main"
.LASF30:
	.string	"epoll_data"
.LASF2:
	.string	"unsigned int"
.LASF25:
	.string	"revents"
.LASF24:
	.string	"pollfd"
.LASF11:
	.string	"__sigset_t"
.LASF6:
	.string	"long long int"
.LASF9:
	.string	"char"
.LASF5:
	.string	"short int"
.LASF28:
	.string	"syscalls-2007.c"
.LASF27:
	.string	"GNU C 4.4.5 20101112 (Red Hat 4.4.5-2)"
.LASF4:
	.string	"signed char"
.LASF1:
	.string	"short unsigned int"
.LASF23:
	.string	"eventfd_t"
	.ident	"GCC: (GNU) 4.4.5 20101112 (Red Hat 4.4.5-2)"
	.section	.note.GNU-stack,"",@progbits
